eos-payg-nonfree
================

eos-payg-nonfree contains private, **proprietary** provider modules for
[eos-payg](https://github.com/endlessm/eos-payg).

eos-payg-angaza-provision
-------------------------
Tools for provisioning or unprovisioning a computer for the Angaza backend such
that the state will be stored in an eMMC boot partition where it will survive a
reflash of the OS.

eos-payg-bios-pwgen
-------------------
A tool for generating BIOS passwords deterministically based on machine serial
numbers and salt.

eos-payg-key-utils
-----------------
A collection of tools and keys for PAYG secure boot setup.

libeos-payg-angaza
------------------

A plugin implementing support for [Angaza](http://angaza.com/)'s PAYG system,
using their proprietary library, whose documentation and (obfuscated) source
may be found in `subprojects/angaza`.

libeos-payg-paygee
------------------

A plugin with the potential for implementing support for
[Paygee](http://paygee.com/)'s PAYG system, using their library libtoken, which
lives in `subprojects/libtoken-<version>`. It has not been actually implemented
yet.

libeos-payg-util
----------------
A library of code that can be shared between providers.

eos-payg-unlocker
-----------------
Source for a tool to unlock PAYG machines. To build in a form that just prints
out the unique user ID of a machine, simply run `make`.
Once you have a machine's user ID, which is currently always of the form
angaza:<PAYG_ACCOUNT_ID>, you can build a custom unlocker for that one machine.
To build an unlocker for a specific machine:
`make UNLOCK="angaza:1234"` Where in this example, the angaza PAYG_ID is 1234.
The tool is designed to be built and signed by Jenkins, so isn't installed as
part of the eos-payg-nonfree package.

eos-payg-efi-stress-test
------------------------
A tool for testing the write endurance and general suitability of EFI variable
storage space for PAYG storage. Be careful as some of its modes can cause
permanent damage to hardware.

eos-payg-lsm-test
-----------------
A tool for testing the kernel LSM that protects eos-paygd and PAYG data.
